Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039298
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2018-09-17 10:092019-06-27 16:58
ReporterkchoperenaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in VersionRR19Q3
StatusclosedFix in branchFixed in SCM revisiond66fa535198c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039298: [SERQA 4613]:Related Documents function doesn´t managing correctly business partner not found error

DescriptionIn related documents functionality, if the query to get the business partner does not retrieve data, it is not launching an error popup and the functionality does not work.
Steps To Reproduce1.- Log into the Web POS
2.- Search a customer
3.- In the contextual menu, select 'Related Documents'

Expected Results: If the customer does not exist it is not launching an error popup
Proposed SolutionShow an error popup in case of:

1.- Not customer found
2.- Any error happens in the query
TagsNo tags attached.
Attached Filesdiff file icon issue39298_relatedDocuments.diff [^] (936 bytes) 2018-09-17 10:10 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0112832)
hgbot (developer)
2019-06-17 15:56

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: d66fa535198c345025075ec5c22795d0f961326a
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon Jun 17 19:24:28 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d66fa535198c345025075ec5c22795d0f961326a [^]

Fixed issue 39298 : Added empty and error callabck while fetching business partner

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/components/businesspartner_selector.js
---
(0113068)
jorge-garcia (developer)
2019-06-27 16:58

Code reviewed and tested

- Issue History
Date Modified Username Field Change
2018-09-17 10:09 kchoperena New Issue
2018-09-17 10:09 kchoperena Assigned To => Retail
2018-09-17 10:09 kchoperena Triggers an Emergency Pack => No
2018-09-17 10:10 kchoperena File Added: issue39298_relatedDocuments.diff
2019-06-03 11:27 marvintm Type design defect => defect
2019-06-12 11:23 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-06-12 11:23 ranjith_qualiantech_com Status new => scheduled
2019-06-17 15:56 hgbot Checkin
2019-06-17 15:56 hgbot Note Added: 0112832
2019-06-17 15:56 hgbot Status scheduled => resolved
2019-06-17 15:56 hgbot Resolution open => fixed
2019-06-17 15:56 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d66fa535198c345025075ec5c22795d0f961326a [^]
2019-06-27 16:51 jorge-garcia Review Assigned To => jorge-garcia
2019-06-27 16:58 jorge-garcia Note Added: 0113068
2019-06-27 16:58 jorge-garcia Status resolved => closed
2019-06-27 16:58 jorge-garcia Fixed in Version => RR19Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker